#include <euler/syscall.hpp>

//this does not keep track of the processes or whether they have started
//successfully, nor does it set their argc, argv, stdin, stdout, or stderr.

int main(int, char **) {
  euler::syscall::process_handle dummy;
  euler::syscall::start_process("/bin/compositor", {}, {}, dummy);
  euler::syscall::start_process("/bin/clock", {}, {}, dummy);
  return 0;
}
